<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: PETSc-config-magpar.py Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<h1>PETSc-config-magpar.py</h1><a href="PETSc-config-magpar_8py.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a><a class="code" href="namespacePETSc-config-magpar.html">00001</a> <span class="comment">#!/usr/bin/env python</span>
<a name="l00002"></a>00002 
<a name="l00003"></a>00003 <span class="keyword">import</span> os
<a name="l00004"></a>00004 
<a name="l00005"></a><a class="code" href="namespacePETSc-config-magpar.html#a479c09acad518cc60daa40ec722caef6">00005</a> configure_options = [
<a name="l00006"></a>00006   <span class="comment"># set floating point precision</span>
<a name="l00007"></a>00007   <span class="stringliteral">&#39;--with-precision=&#39;</span>+os.environ[<span class="stringliteral">&#39;PRECISION&#39;</span>],
<a name="l00008"></a>00008   <span class="comment">#</span>
<a name="l00009"></a>00009   <span class="comment"># BLAS, LAPACK</span>
<a name="l00010"></a>00010   <span class="stringliteral">&#39;--with-blas-lapack-dir=&#39;</span>+os.environ[<span class="stringliteral">&#39;ATLAS_DIR&#39;</span>],
<a name="l00011"></a>00011   <span class="comment"># alternatively set libraries directly</span>
<a name="l00012"></a>00012   <span class="comment">#&#39;--with-blas-lib=[&#39;+os.environ[&#39;PD&#39;]+&#39;/atlas/lib/libf77blas.a,&#39;+os.environ[&#39;PD&#39;]+&#39;/atlas/lib/libcblas.a,&#39;+os.environ[&#39;PD&#39;]+&#39;/atlas/lib/libatlas.a,/usr/lib/libg2c.a]&#39;,</span>
<a name="l00013"></a>00013   <span class="comment">#&#39;--with-lapack-lib=&#39;+os.environ[&#39;PD&#39;]+&#39;/atlas/lib/liblapack.a&#39;,</span>
<a name="l00014"></a>00014   <span class="comment">#</span>
<a name="l00015"></a>00015   <span class="comment"># define additional required libraries (defined in Makefile.in.$HOSTNAME)</span>
<a name="l00016"></a>00016   <span class="stringliteral">&#39;--LIBS=&#39;</span>+os.environ[<span class="stringliteral">&#39;PETSC_XTRALIBS&#39;</span>],
<a name="l00017"></a>00017   <span class="comment"># e.g.</span>
<a name="l00018"></a>00018   <span class="comment"># /usr/lib/gcc-lib/i386-redhat-linux/2.96/libg2c.a</span>
<a name="l00019"></a>00019   <span class="comment"># required by lapack/atlas (xerbla.o) on RedHat 7.2</span>
<a name="l00020"></a>00020   <span class="comment">#</span>
<a name="l00021"></a>00021   <span class="comment"># /usr/local/lib/libifcore.a</span>
<a name="l00022"></a>00022   <span class="comment"># required by Intel compilers:</span>
<a name="l00023"></a>00023   <span class="comment"># otherwise linking of fortran object files with mpicc/icc fails</span>
<a name="l00024"></a>00024 
<a name="l00025"></a>00025   <span class="comment"># disable C++ and TAO support</span>
<a name="l00026"></a>00026   <span class="comment">#&#39;--with-cxx=0&#39;,</span>
<a name="l00027"></a>00027   <span class="comment">#&#39;--with-c++-support&#39;,</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029   <span class="comment"># MPI</span>
<a name="l00030"></a>00030   <span class="comment"># ---</span>
<a name="l00031"></a>00031   <span class="comment"># for MPICH</span>
<a name="l00032"></a>00032   <span class="comment">#</span>
<a name="l00033"></a>00033   <span class="stringliteral">&#39;--with-mpi-dir=&#39;</span>+os.environ[<span class="stringliteral">&#39;MPI_DIR&#39;</span>],
<a name="l00034"></a>00034   <span class="comment">#</span>
<a name="l00035"></a>00035   <span class="comment"># for LAM/MPI</span>
<a name="l00036"></a>00036   <span class="comment">#</span>
<a name="l00037"></a>00037   <span class="comment">#&#39;--with-mpi-include=&#39;+os.environ[&#39;PD&#39;]+&#39;/mpi/include&#39;,</span>
<a name="l00038"></a>00038   <span class="comment">#&#39;--with-mpi-lib=[&#39;+os.environ[&#39;PD&#39;]+&#39;/mpi/lib/libmpi.a,&#39;+os.environ[&#39;PD&#39;]+&#39;/mpi/lib/liblamf77mpi.a,&#39;+os.environ[&#39;PD&#39;]+&#39;/mpi/lib/liblam.a]&#39;,</span>
<a name="l00039"></a>00039   <span class="comment">#</span>
<a name="l00040"></a>00040   <span class="comment"># without MPI (single processor only)</span>
<a name="l00041"></a>00041   <span class="comment">#</span>
<a name="l00042"></a>00042   <span class="comment">#&#39;--with-mpi=0&#39;,</span>
<a name="l00043"></a>00043   <span class="comment">#</span>
<a name="l00044"></a>00044   <span class="comment"># to disable PETSc XWindows functions</span>
<a name="l00045"></a>00045   <span class="comment">#</span>
<a name="l00046"></a>00046   <span class="stringliteral">&#39;--with-x=0&#39;</span>,
<a name="l00047"></a>00047   <span class="comment">#</span>
<a name="l00048"></a>00048   <span class="comment"># Cygwin settings</span>
<a name="l00049"></a>00049   <span class="comment"># ---------------</span>
<a name="l00050"></a>00050   <span class="comment"># (disable everything above)</span>
<a name="l00051"></a>00051   <span class="comment">#</span>
<a name="l00052"></a>00052   <span class="comment">#&#39;--with-mpi=0&#39;,</span>
<a name="l00053"></a>00053   <span class="comment">#&#39;--with-x=0&#39;,</span>
<a name="l00054"></a>00054   <span class="comment">#</span>
<a name="l00055"></a>00055   <span class="comment"># optional packages</span>
<a name="l00056"></a>00056   <span class="comment"># -----------------</span>
<a name="l00057"></a>00057   <span class="comment">#</span>
<a name="l00058"></a>00058   <span class="comment"># SuperLU_DIST</span>
<a name="l00059"></a>00059   <span class="comment">#&#39;--with-superlu-dir=&#39;+os.environ[&#39;PD&#39;]+&#39;/SuperLU_DIST_2.0&#39;,</span>
<a name="l00060"></a>00060   <span class="comment">#&#39;--with-superlu_dist-lib=&#39;+os.environ[&#39;PD&#39;]+&#39;/SuperLU_DIST_2.0/superlu_linux.a&#39;,</span>
<a name="l00061"></a>00061   <span class="comment">#</span>
<a name="l00062"></a>00062   <span class="comment"># hypre</span>
<a name="l00063"></a>00063   <span class="comment">#&#39;--download-hypre=1&#39;,&#39;-with-hypre=1&#39;,</span>
<a name="l00064"></a>00064   <span class="comment">#</span>
<a name="l00065"></a>00065   <span class="comment"># compiler settings</span>
<a name="l00066"></a>00066   <span class="comment"># -----------------</span>
<a name="l00067"></a>00067   <span class="comment">#</span>
<a name="l00068"></a>00068   <span class="comment"># compile optimized libraries with C++ bindings (required for TAO)</span>
<a name="l00069"></a>00069   <span class="stringliteral">&#39;--with-clanguage=C++&#39;</span>,
<a name="l00070"></a>00070   <span class="stringliteral">&#39;--with-debugging=0&#39;</span>,
<a name="l00071"></a>00071   <span class="comment"># compiler options</span>
<a name="l00072"></a>00072   <span class="stringliteral">&#39;-COPTFLAGS=&#39;</span>+os.environ[<span class="stringliteral">&#39;OPTFLAGS&#39;</span>],
<a name="l00073"></a>00073   <span class="stringliteral">&#39;-CXXOPTFLAGS=&#39;</span>+os.environ[<span class="stringliteral">&#39;OPTFLAGS&#39;</span>],
<a name="l00074"></a>00074   <span class="stringliteral">&#39;-FOPTFLAGS=&#39;</span>+os.environ[<span class="stringliteral">&#39;OPTFLAGS&#39;</span>],
<a name="l00075"></a>00075   <span class="comment"># compile only static libraries (TODO: any effect? - see installation instructions!)</span>
<a name="l00076"></a>00076   <span class="stringliteral">&#39;--with-shared=0&#39;</span>,
<a name="l00077"></a>00077   <span class="stringliteral">&#39;--with-dynamic=0&#39;</span>
<a name="l00078"></a>00078   ]
<a name="l00079"></a>00079 
<a name="l00080"></a>00080 <span class="keywordflow">if</span> __name__ == <span class="stringliteral">&#39;__main__&#39;</span>:
<a name="l00081"></a>00081   <span class="keyword">import</span> configure
<a name="l00082"></a>00082   configure.petsc_configure(configure_options)
<a name="l00083"></a>00083 
<a name="l00084"></a>00084 <span class="comment"># Extra options used for testing locally</span>
<a name="l00085"></a><a class="code" href="namespacePETSc-config-magpar.html#aab99df08db0520ae9cb5a44b97deeddf">00085</a> test_options = []
</pre></div></div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

